CLI system commands ignore --environment option
Description

https://bugzilla.redhat.com/show_bug.cgi?id=985393

Description of problem:

some CLI system commands ignore given --environment

for example

a) system list --org org --environment dev
lists all systems not only systems from given environment

b) when | register two systems with the same name but in different environments then

system info --org org --name sys --environment env
returns: Found ambiguous Systems [sys ]in Org[org] ...
but it is unique system in that environment

¢) commands does not care, that given system is in different environment

e.g. system info --name system --environment Library --org org

Name : system

Environment

commands with the same behaviour: facts, info, packages, unregister, update

Version-Release number of selected component (if applicable):

katello-1.4.2-18.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.3-1.git.1.24fe511.el6.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-configure-1.4.3-16.el6sat.noarch
katello-glue-pulp-1.4.2-18.el6sat.noarch

katello-all-1.4.2-18.el6sat.noarch

katello-cli-common-1.4.2-8.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.8-6.el6sat.noarch

signo-katello-0.0.19-1.el6sat.noarch

katello-glue-elasticsearch-1.4.2-18.el6sat.noarch
katello-configure-foreman-1.4.3-16.el6sat.noarch
katello-foreman-all-1.4.2-18.el6sat.noarch
katello-gpid-client-key-pair-1.0-1.noarch

katello-cli-1.4.2-8.el6sat.noarch

ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-common-1.4.2-18.el6sat.noarch

katello-selinux-1.4.3-3.el6sat.noarch

katello-glue-candlepin-1.4.2-18.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-6.el6sat.noarch
katello-gpid-broker-key-pair-1.0-1.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=985393

How reproducible:
always

Steps to Reproduce:
1.

2.

3.

Actual results:

Expected results:

Additional info:

History

#1 - 05/13/2014 03:53 PM - dustin tsang

- Assignee set to dustin tsang

#2 - 06/05/2014 12:17 AM - Eric Helms
- Category set to Hammer

- Triaged changed from No to Yes

#3 - 06/10/2014 11:50 PM - dustin tsang

depends on:
http://projects.theforeman.org/issues/6147
http://projects.theforeman.org/issues/6154

#4 - 06/11/2014 12:29 AM - dustin tsang
- % Done changed from 0 to 90

#5 - 06/11/2014 12:30 AM - dustin tsang

- Target version set to 45

#6 - 06/16/2014 02:55 PM - Eric Helms

- Target version changed from 45 to 48

#7 - 06/26/2014 02:56 PM - dustin tsang

- Status changed from New to Closed

#8 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
